%define gitver %(echo %version | tr _ -)
Name:          opam
Version:       2.1.1
Release:       1mamba
Summary:       opam is a source-based package manager for OCaml
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://opam.ocaml.org
Source:        https://github.com/ocaml/opam.git/%{gitver}/opam-%{version}.tar.bz2
Source1:       opam-Makefile.sources
Patch0:        opam-2.0.7-fix-extlib-source.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-ENDcd 
BuildRequires: ocaml
BuildRequires: ocaml-re
BuildRequires: ocaml-compiler-libs
BuildRequires: ocaml-cppo
BuildRequires: dune

%description
opam is a source-based package manager. It supports multiple simultaneous compiler installations, flexible package constraints, and a Git-friendly development workflow.

%debug_package

%prep
%setup -q
#% patch0 -p1
## 2.0.4: fix blocking error in install due just to dune warnings
#sed -i "s|; false ;|; true ;|" doc/Makefile

#install %{SOURCE1} src_ext/Makefile.sources
#rm -rf src_ext/patches/seq

%build
%configure
   
make lib-ext all -j1 \
  OCAMLC='ocamlc -unsafe-string' \
  OCAMLOPT='ocamlopt -unsafe-string' \
  DUNE_ARGS="-j1"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#install -d %{buildroot}%{_docdir}
#mv %{buildroot}/usr/doc/opam-installer %{buildroot}%{_docdir}/opam
#rmdir %{buildroot}/usr/doc
  
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/opam
%{_bindir}/opam-installer
#%dir %{_prefix}/lib/opam-installer
#%{_prefix}/lib/opam-installer/*
#%dir %{_datadir}/doc/opam
#%{_datadir}/doc/opam/*
%{_mandir}/man1/opam*.1*
%doc AUTHORS LICENSE

%changelog
* Sat Nov 06 2021 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sat Jan 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0_beta4-1mamba
- update to 2.1.0_beta4

* Sat Jan 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.7-1mamba
- update to 2.0.7

* Sat Feb 08 2020 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Mon Jul 29 2019 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Sun May 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.4-1mamba
- package created using the webbuild interface
